#!/bin/sh

 today=`date +%y%b%d`
 PT_PATH=/ei/point/rpo_eps3
 export PT_PATH

 EPS3_PATH=/usr/local/pub/eps3/src
 export EPS3_PATH

 USER_PATH=$PT_PATH/userin
 export USER_PATH

 run_type=reg_ont
 scenario=can2023_cb05_v1

#scenario 2009v1 uses the annual version of the CAIR 2010 controlled afs and uses old TCEQ tmprl xref and profile files
#afsin1=afs.CAIRNONIPM.NEI.2010.v1a.lcp
# jdm is under the impression this CAIR data is for 1996 and we'll use it for 1999,2000,and 2009 modeling for now 7Dec2005
# CAIR used this data for 2001 and 2010 without change - afs.CAIRCanada.2001.v1a.latlong.lcp
#
# 03Aug2011 cair_ont2001.RPOlcp - new RPO Rider 8 domains - afs.CAIRCanada.2001.v1a.RPOlcp
# 07Oct2011 Canada_2006, CB6, and SO2.  New chmspl xref & splitfacs from MJ.
# dummy.cb6p - 30Aug2016 - to test EPS3 handling of speciated canada file
# cb05spec2010 - 20Sep2016 - 2010 Canada CB05-speciated file afs.2010CanadaCB05species.RPOlcp processed with fix_can2010_afs.pl; force low
#              - 16Dec01 - Same as above but with conus_12km grid & rename
# can2010_cb05_v2 - 11Apr2017 - 2010 Canada CB05-speciated file afs.2010CanadaCB05species_v2.RPOlcp processed with fix_can2010_afs.pl
# can2023_cb05_v1 - 03May2017 - 2023 Canada CB05-speciated file afs.2023CanadaCB05species_v1.RPOlcp, then processed with fix_can2010_afs.pl
#

 afsin=afs.reg_ont.${scenario}

#us_36km
 for grid in conus_12km
  do

 tmprof_xref=tmprl.xref.canada2010
 tmprof=tmprl.profs.canada2010

#oscenario=${run_type}_${scenario}
#gr=`echo $run_type | cut -c1-2`

 ugrid=$grid

  echo "ugrid "  $ugrid

 case $run_type in
  'tx')        ugrid=${grid}_tx ;;
  'tx_egu')    ugrid=${grid}_tx ;;
  'tx_negu')   ugrid=${grid}_tx ;;
  'la')        ugrid=${grid}_la ;;
  'reg_negu')  ugrid=${grid}_no_tx ;;
  'reg_ont')   ugrid=${grid}_canada_cb05 ;;
  'os')        ugrid=${grid}_os ;;
  'mex')       ugrid=${grid}_mex ;;
 esac

  echo "ugrid "  $ugrid

#for spec in cb6
#for spec in cb05
 for spec in cb6p
  do

  #'cb6p') prof=gspro_CB6_TEMPLATE_CAMX.17Mar2015
  #        xref=gsref_TEMPLATE.6Apr2016
  #        conv=gscnv_CB6_TEMPLATE.17Mar2015 ;;
 case $spec in
  'cb05') fac_v=2006_canada.pt.all ;;
  'cb4') fac_v=2000v15b2.pt.all ;;
  's99') fac_v=2000v15c.pt.all ;;
  'cb6p') prof=gspro_CB6_speciated.1Sep2016
          xref=gsref_CB6_speciated.1Sep2016
          conv=gscnv_CB6_speciated.1Sep2016 ;;
 esac

 splitfac=`get_file "/ei/point/speciation/emscvt/output_cb05/splitfac.$spec.$fac_v.*"`
##splitfac=/ei/point/DFW/2006/model_canada/splitfac.cb05_2006_all_canada.pt
#splitfac=/ei/point/EPS3/chmspl/emscvt/splitfac.$spec.2000v15b2.pt.all.23Sep05
#splitfac=/ei/point/stars/emscvt/output_${spec}/splitfac.$spec.special_ei_2000.pt.Sep2003.27Apr05
#splitfac=/ei/point/stars/emscvt/splitfac.$spec.2000v2.pt.all.27Apr05
#splitfac=/ei/point/EPS3/chmspl/emscvt/splitfac.$spec.2000v15c.pt.all.19Sep05

chmprof_xref=`get_file "/ei/point/speciation/emscvt/xref/xref.$spec.$fac_v.*"`
##chmprof_xref=/ei/point/stars/2006/data/emscvt_inputs/xref_all_2006_canada_pts.pt
#chmprof_xref=`get_file "/ei/point/EPS3/chmspl/spec_xref/xref.voc.eps3f.2005v4a.pt.all.*"`
#chmprof_xref=`get_file "/ei/point/EPS3/chmspl/spec_xref/xref.voc.eps3f.2000v15c.pt.all.*"`
#chmprof_xref=/ei/point/EPS3/chmspl/spec_xref/xref.voc.eps3f.2000v15c.pt.all.26Sep05
#chmprof_xref=/ei/point/stars/emscvt/xref/xref.voc.eps3f.special_ei_2000.pt.Sep2003
#chmprof_xref=/ei/point/stars/emscvt/xref.voc.eps3f.2000v2.pt.all.14Sep2005
#chmprof_xref=$AREA_PATH/eus_36km/chmspl/emscvt/xref.voc.eps3f.2000v2.pt.all.29Aug2005

 for yymmdd in 230808
  do

 echo
 echo " today yymmdd grid  spec runtype   scenario in_scenario ugrid afsin"
 echo $today  $yymmdd  $grid $spec $runtype  $scenario $in_scenario $ugrid $afsin
 echo "ugrid "  $ugrid

 cd $PT_PATH/prepnt/$run_type
  run.prepnt.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $afsin $ugrid

 cd $PT_PATH/spcems/$run_type
  run.spcems.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $ugrid $prof $xref $conv
 #cd $PT_PATH/chmspl/$run_type
 # run.chmspl.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $chmprof_xref $splitfac $ugrid $scenario "prepnt" 

 cd $PT_PATH/tmprl/$run_type
  run.tmprl.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $tmprof_xref $tmprof $ugrid

 cd $PT_PATH/grdem/$run_type
  run.grdem.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid
 
 # Low-level only 
 #cd $PT_PATH/pstpnt/$run_type
 # run.pstpnt.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

 #cd $PT_PATH/pigems/$run_type
 #run.pigems.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

#cd $PT_PATH/tracking/
##run.track_eps.eps3  $today $yymmdd  $grid  $scenario

# Rename 100803 files to aug
  yy=`echo $yymmdd | cut -c1,2`
  mm=`echo $yymmdd | cut -c3,4`
  dd=`echo $yymmdd | cut -c5,6`

  case $mm in
   01) month=jan; Month=Jan;;
   02) month=feb; Month=Feb;;
   03) month=mar; Month=Mar;;
   04) month=apr; Month=Apr;;
   05) month=may; Month=May;;
   06) month=jun; Month=Jun;;
   07) month=jul; Month=Jul;;
   08) month=aug; Month=Aug;;
   09) month=sep; Month=Sep;;
   10) month=oct; Month=Oct;;
   11) month=nov; Month=Nov;;
   12) month=dec; Month=Dec;;
  esac
  
  echo "yymmdd  yy  mm  dd  month  Month"
  echo $yymmdd $yy $mm $dd $month $Month
  
   cd $PT_PATH/prepnt/$run_type
     rename $yymmdd $month *$scenario.$today
   cd $PT_PATH/spcems/$run_type
     rename $yymmdd $month *$scenario.$today
   cd $PT_PATH/tmprl/$run_type
     rename $yymmdd $month *$scenario.$today
   cd $PT_PATH/grdem/$run_type
     rename $yymmdd $month *$scenario.$today    
   cd $PT_PATH/pstpnt/$run_type
     rename $yymmdd $month *$scenario.$today    
     
 done
done
done
exit

